Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7825/?format=api
{ "ob_id": 7825, "uuid": "a3bdfb9b64937d42f5cb0cbf7c3d033f", "title": "NCAVEO: Environment Agency LiDAR data collected during the flight of an Cessna 404 Aircraft", "abstract": "LiDAR data was collected by the UK Environment Agency on 17th June 2006 as part of the Network for Calibration and Validation of EO data (NCAVEO) 2006 Field Campaign. The data was collected from a Cessna 404 aircraft carrying an Optech 3100 LiDAR. The sensor was integrated with the on-board navigation system to provide accurate geometric correction through post-processing. The LiDAR was operated at 33 kHz to give a nominal pulse spacing around 1-2 m, and intensity plus first and last pulse returns were recorded. For further information please see the LiDAR survey report in linked documentation and the dataset's metadata document.\r\n", "keywords": "NCAVEO, LIDAR, CESSNA", "publicationState": "published", "dataPublishedTime": "2007-10-16T23:12:25", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12665/?format=api", "dataPath": "/neodc/ncaveo_field/data/Environment_Agency/LiDAR_data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 8771673436, "numberOfFiles": 344, "fileFormat": "LiDAR catalogue data is in shape file format and raster datasets and files within the \\xyz\\ directory are in ASCII Grid format. All are ArcView compatible. Metadata about data collection, processing, filtering and comparison of collected data to independent ground truth data is also included in the LiDAR report of the survey. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2247/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5079/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32329/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32334/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32335/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32328/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32331/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32332/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32333/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32330/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7831/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }